*,
::after,
::before {
    box-sizing: border-box;
}

/* Webkit browsers (Chrome, Safari) */
*::-webkit-scrollbar {
    width: 4px;
}

/* Firefox */
* {
    scrollbar-width: thin;
}

.main-footer>div {
    margin-left: 10px
}

.footer {
    position: relative;
    z-index: 1;
}

.nav-sidebar .nav-header:not(:first-of-type) {
    padding: 1.7rem 1rem .5rem 1rem
}

@media (min-width:768px) {

    .sidebar-collapse .content-wrapper,
    .sidebar-collapse .main-footer,
    .sidebar-collapse .main-header {
        margin-left: 0
    }
}

.nav-sidebar .nav-item>.nav-link {
    display: inline-flex;
    border-radius: 8px;
    border: none;
    color: white;
    box-shadow: 2px 2px 8px 0px rgba(0, 0, 0, 0.25);
    margin-top: 1rem;
    margin-bottom: 0.4rem;
}

.sidebar-dark-primary {
    background: linear-gradient(135deg, var(--app-primary-contrast-color) 50%, var(--app-primary-color) 50%);
}

.sidebar-dark-primary .nav-treeview>.nav-item>.nav-link {
    color: var(--white);
}

.sidebar-dark-primary .nav-treeview>.nav-item>.nav-link.active,
.sidebar-dark-primary .nav-treeview>.nav-item>.nav-link.active:hover {
    color: var(--white);
    background-color: var(--app-primary-contrast-color);
}

.navbar {
    padding: .5rem .5rem
}

@media (prefers-reduced-motion:reduce) {

    .content-wrapper,
    .main-footer,
    .main-header,
    .main-sidebar .brand-text,
    .sidebar .nav-link p,
    .sidebar .user-panel .info,
    .control-sidebar,
    .control-sidebar:before {
        transition: none
    }
}

.control-sidebar:before {
    top: 0;
    display: block;
    position: fixed;
    content: " ";
    z-index: -1
}

.nav-sidebar {
    position: relative
}

.nav-sidebar:hover {
    overflow: visible
}

.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active {
    color: #fff;
    background-color: var(--app-primary-color);
}

.sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active {
    color: #fff;
    background-color: var(--app-primary-color);
}

.nav-sidebar .nav-link.active {
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.70);
}

.navbar-nav .nav-link {
    padding-right: 0;
    padding-left: 0;
    width: auto;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background-color: var(--app-primary-color);
}

.nav-pills .nav-link:not(.active):hover {
    color: var(--app-primary-color);
}

.nav-sidebar .nav-treeview>.nav-item {
    padding-left: 10px;
}

.nav-sidebar .nav-treeview>.nav-item>.nav-link {
    font-size: 13px;
}

/* project row */
.nav-sidebar .project-item>.nav-link {
    margin-top: 10px;
    font-weight: 600;
    font-size: 13px;
    background: rgba(255, 255, 255, 0.06);
}

/* project feature level */
.nav-sidebar .project-item .nav-treeview .nav-link {
    font-size: 13px;
    padding-left: 2rem;
}